shiny {rgl} | R Documentation

## Functions for integration of `rglwidget` into Shiny app.

### Description

These functions allow an rgl scene to be embedded in a Shiny app.

### Usage

    rglwidgetOutput(outputId, width = "512px", height = "512px")
    renderRglwidget(expr, env = parent.frame(), quoted = FALSE)

    playwidgetOutput(outputId, width = "0px", height = "0px")
    renderPlaywidget(expr, env = parent.frame(), quoted = FALSE)

### Arguments

`outputId` | The name for the control.
`width, height` | Width and height to display the control.
`expr` | An R expression returning a `rglwidget` (for `renderRglwidget`) or a `playwidget` (for `renderPlaywidget`) as output.
`env` | The environment in which to evaluate `expr`.
`quoted` | Is the expression already quoted?

### Details

Use `rglwidgetOutput` or `playwidgetOutput` as an output object in a Shiny user interface section; use `renderRglwidget` or `renderPlaywidget` as the render function in the server section.

### Value

Used internally by Shiny.

### Author(s)

Duncan Murdoch

[Package rgl version 0.98.1 Index]